Endpoints

Index Info

Returns some information about the index.

Info will be updated eventually, so it might take some time to see the effect of changes in this endpoint.

Request

This request doesn't require any additional data.

Response

vectorCountnumberrequired

The number of vectors in the index, that are ready to use. This is the total number of vectors across all namespaces.

pendingVectorCountnumberrequired

The number of vectors in the index, that are still processing and not ready to use. This is the total number of pending vectors across all namespaces.

indexSizenumberrequired

The total size of the index, in bytes.

dimensionnumberrequired

Dimension of the vectors.

similarityFunctionstringrequired

Name of the similarity function used in indexing and queries.

indexTypestringrequired

Type of the index. Possible values: "DENSE", "SPARSE", "HYBRID"

denseIndexobject

Information about the dense vector index configuration.

sparseIndexobject

Information about the sparse vector index configuration.

namespacesobjectrequired

Map of namespace names to namespace .

Every index has at least one namespace called default namespace, whose name is the empty string "".
curl
curl $UPSTASH_VECTOR_REST_URL/info \  -H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN"
200 OK
{  "result": {    "vectorCount": 7,    "pendingVectorCount": 0,    "indexSize": 43501,    "dimension": 1024,    "similarityFunction": "COSINE",    "indexType": "HYBRID",    "denseIndex": {      "dimension": 1024,      "similarityFunction": "COSINE",      "embeddingModel": "BGE_M3"    },    "sparseIndex": {      "embeddingModel": "BM25"    },    "namespaces": {      "": {        "vectorCount": 6,        "pendingVectorCount": 0      },      "ns": {        "vectorCount": 1,        "pendingVectorCount": 0      }    }  }}
Loading search…